:root {
    --dark-blue:#14007a;
    --blue:#1a009c;
    --light-blue:rgb(74,225,255);
    --pink: rgb(255, 40, 113);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    font-family: sans-serif;
    background-image: linear-gradient(45deg, var(--light-blue), var(--blue));

    display: flex;
    justify-content: center;
    align-items: center;
}

.code-editor {
    width: 90vw;
    height: 90vh;
    display: grid;
    grid-template-columns:repeat(2, 1fr);
    background-color: #ffff;
    border-radius: 1rem;
    overflow: hidden;
}

.code {
    display: grid;
    grid-template-rows: repeat(3, 1fr);
    overflow-y: auto;

    background-color: var(--dark-blue);
    padding: 1rem;
    border-radius: 0 1rem 1rem 0;
}

h1 {
    font: 600 1.2rem sans-serif;
    margin: 1rem 0;
    color: #ffff;
}

h1 > img {
    width: 1.3rem;
    margin-right: 1rem;
    vertical-align: middle;
}

.code textarea {
    width: 100%;
    height: calc(100% - 4rem);
    background-color: var(--blue);
    color: var(--light-blue);
    border: none;
    padding: 1rem;
    font-size: 1.1rem;
    resize: vertical;
}

.code textarea::-webkit-scrollbar {
    width: .4rem;
}

.code textarea::-webkit-scrollbar-thumb {
    background-color: var(--pink);
    border-radius: .4rem;
}

#result {
    width: 100%;
    height: 100%;
    border: none;
}
button.btn.btn-close {
    background-color: orange;
    border: unset;
    padding: 10px 15px;
    font-size: 16px;
    border-radius: 5px;
    position: fixed;
    right: 40px;
    top: 5px;
}
::placeholder{
    color: white;
}